Skip to main content
`Ctrl`+`K`

# TaoSetLMVMMatrix

Sets an external LMVM matrix into the Tao solver. Valid only for quasi-Newton family of methods.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetLMVMMatrix(Tao tao, Mat B)

QN family of methods create their own LMVM matrices and users who wish to manipulate this matrix should use TaoGetLMVMMatrix() instead.

## Input Parameters

- tao - Tao solver context

- B - LMVM matrix

## See Also

`TAOBQNLS`, `TAOBQNKLS`, `TAOBQNKTL`, `TAOBQNKTR`, `MATLMVM`, `TaoGetLMVMMatrix()`

## Level

advanced

## Location

src/tao/bound/impls/bqnk/bqnk.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages